#ifndef FINDWIDGET_H 
#define FINDWIDGET_H

#include <QComboBox>
#include <QPushButton>
#include <QGroupBox>
#include <QLayout>
#include <QLabel>


class FindWidget: public QWidget
{
	Q_OBJECT

public:
	FindWidget (QWidget* parent=0);

public slots:	
	void popup();
	void cancelPressed();
	void nextPressed();
	void findTextChanged(const QString&);

signals:
	void nextButton(QString);
	void somethingChanged();

private:
	QGroupBox *findbox;
	QComboBox *findcombo;
	QPushButton *nextbutton;
	QPushButton *cancelbutton;
};

#endif

